using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace DataSharing.Province
{
    /// <summary>
    /// 退回申请   
    /// </summary>
    [Description("退回申请")]
    public class DsGetCaseBackApply : CreationModificationEntity
    {
        /// <summary>
        /// 业务系统退回编号
        /// </summary>
        [SugarColumn(ColumnDescription = "业务系统退回编号", ColumnDataType = "varchar(50)")]
        public string OrderSendBackId { get; set; }

        /// <summary>
        /// 办理操作
        /// </summary>
        [SugarColumn(ColumnDescription = "办理操作", ColumnDataType = "varchar(10)")]
        public string BackType { get; set; }

        /// <summary>
        /// 办理单位
        /// </summary>
        [SugarColumn(ColumnDescription = "办理单位", ColumnDataType = "varchar(200)")]
        public string DealDept { get; set; }

        /// <summary>
        /// 办理人员
        /// </summary>
        [SugarColumn(ColumnDescription = "办理人员", ColumnDataType = "varchar(200)")]
        public string DealName { get; set; }

        /// <summary>
        /// 申请退回时间
        /// </summary>
        [SugarColumn(ColumnDescription = "申请退回时间")]
        public DateTime? ApplyTime { get; set; }

        /// <summary>
        /// 退回原因
        /// </summary>
        [SugarColumn(ColumnDescription = "退回原因", ColumnDataType = "text")]
        public string BackReason { get; set; }

        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [SugarColumn(ColumnDescription = "材料标识", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string CliengGuid { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 省上是否已经反馈
        /// </summary>
        [SugarColumn(DefaultValue = "f")]
        public bool IsFeedBack { get; set; }

    }
}
